Page MenuHomeFreeBSD

Remove superfluous space
ClosedPublic

Authored by sunpoet on Jan 12 2017, 8:27 PM.

Details

Reviewers
AMDmi3
sunpoet
swills
Group Reviewers
O5: Ports Framework(Owns No Changed Paths)
portmgr
Commits
rP435394: Remove superfluous space

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 7789
Build 7934: arc lint + arc unit

Event Timeline

sunpoet updated this revision to Diff 23945.Jan 12 2017, 8:27 PM
sunpoet retitled this revision from to Remove superfluous space.
sunpoet updated this object.
sunpoet edited the test plan for this revision. (Show Details)
mat added a reviewer: AMDmi3.Jan 13 2017, 8:21 AM

Add the one who did this.

AMDmi3 requested changes to this revision.Feb 28 2017, 7:48 AM
AMDmi3 edited edge metadata.

Apart from one bit, others are probably good after we've dropped fmake. Please also fix another bit in bsd.licenses.db.mk

Mk/bsd.licenses.mk
719

This one is prone to += problem.

This revision now requires changes to proceed.Feb 28 2017, 7:48 AM
AMDmi3 added a comment.EditedFeb 28 2017, 7:53 AM

Just to sure you're aware, the reason these spaces were added is the presence of licenses like "GPLv2+". The problem is that naive

LICENSE_FILE_GPLv2+=foo

will be interpreted as

(LICENSE_FILE_GPLv2)(+=)(foo)

while

(LICENSE_FILE_GPLv2+)(=)(foo)

is meant. With fmake, the problem is there even in substitutions like

lic=GPLv2+
LICENSE_FILE_${lic}=foo

but as fmake is gone, this is fixed. The echo, however, will output verbatim make code which is prone to += problem, so the space there may not be removed.

sunpoet updated this revision to Diff 25780.Feb 28 2017, 8:47 AM
sunpoet edited edge metadata.

Remove superfluous space

Owners edited edge metadata.Feb 28 2017, 8:47 AM

Thanks for the explanation. A newer version including Mk/bsd.licenses.db.mk was submitted.

AMDmi3 accepted this revision.Mar 1 2017, 8:45 AM
AMDmi3 edited edge metadata.

LGTM

Now I need approval from portmgr. @mat, is it OK for you?

mat added a comment.Mar 3 2017, 2:41 PM

If @AMDmi3 is ok with it, sure.

sunpoet accepted this revision.Apr 1 2017, 11:05 AM
swills added a subscriber: swills.Apr 17 2017, 7:10 PM

This was committed, please close.

Same as I replied in D9250.
Since you are member of portmgr, please approve it and then I could close it.

swills accepted this revision.Apr 18 2017, 1:38 PM

Seems pointless to approve after it was committed, but OK.

This revision is now accepted and ready to land.Apr 18 2017, 1:38 PM